/***************************************************************************
                          sighandler.h  -  description
                             -------------------
    begin                : Sat Mar 23 2002
    copyright            : (C) 2002 by Sebastian Schildt
    email                : sebastian@frozenlight.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef SIGHANDLER_H
#define SIGHANDLER_H

#include <kprocess.h>
#include <csignal>
#include <stdlib.h>
#include <iostream>

/*Global var for setiathome process, because it should be accessible
	from the SIG handler
*/

KProcess global_SetiProc;

/*signal handler */
void sighandler(int sig) {
	if (sig == SIGINT) {
  	cout << "SIGINT catched."<<endl;
		if (global_SetiProc.isRunning()) {
   		global_SetiProc.kill();
			cout << "Terminating sah process...";
			cout << "SIGTERM fired..." << endl;
	  }
		exit(0);
	}
	if (sig == SIGKILL) {
  	cout << "SIGKILL catched."<<endl;
		if (global_SetiProc.isRunning()) {
   		global_SetiProc.kill();
			cout << "Terminating sah process...";
			cout << "SIGTERM fired..." << endl;
	  }
		exit(12);
	}
}

#endif
